
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: //:sphinxcontrib-cldomain

from setuptools import setup

setup(**{
    'authors': [
        {
            'name': 'Russell Sim',
            'email': 'russell.sim@gmail.com',
        },
    ],
    'classifiers': [
        'Development Status :: 4 - Beta',
        'Environment :: Console',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
        'Topic :: Documentation',
        'Topic :: Utilities',
    ],
    'description': 'Sphinx domain for Common Lisp',
    'home_page': 'https://github.com/russell/sphinxcontrib-cldomain',
    'install_requires': (
        'Sphinx',
        'types-docutils',
    ),
    'license': 'GPLv3+',
    'long_description': """CLDomain
========

CLDomain is a Common Lisp domain for `Sphinx Documentation Generator`_.
Sphinx is a mulit-language documentation tool.  This project extends
it's functionality to cover Common Lisp. The aim is to support
documentation with the same ease as sphinx would a Python project.

Currently the project supports inspection based documentation of
symbols.

`Documentation`_

CLDomain is licensed under the `GPLv3`_. Please report any bugs in the
GitHub `Bug Tracker`_.

An example of the generated documentation is the `cl-git`_ project.

.. _Documentation: https://russell.github.io/sphinxcontrib-cldomain/
.. _rendered example: http://cl-git.russellsim.org/#CL-GIT:ENSURE-GIT-REPOSITORY-EXIST
.. _cl-git: http://cl-git.russellsim.org/
.. _Sphinx Documentation Generator: http://sphinx.pocoo.org/
.. _Bug Tracker: https://github.com/russell/sphinxcontrib-cldomain/issues
.. _GPLv3: https://www.gnu.org/licenses/gpl-3.0-standalone.html
""",
    'long_description_content_type': 'text/x-rst',
    'name': 'sphinxcontrib-cldomain',
    'namespace_packages': (
    ),
    'package_data': {
        'sphinxcontrib.cldomain': (
            'cldomain.lisp',
            'cldomain.ros',
            'package.lisp',
            'sphinxcontrib.cldomain.asd',
            'test.lisp',
            'version.lisp-expr',
        ),
    },
    'packages': (
        'sphinxcontrib.cldomain',
        'sphinxcontrib.hyperspec',
    ),
    'python_requires': '<4,>=3.7',
    'readme': {
        'file': 'README.rst',
        'content_type': 'text/x-rst',
    },
    'requires_python': '>=3.7',
    'urls': {
        'documentation': 'https://russell.github.io/sphinxcontrib-cldomain/',
        'source': 'https://github.com/russell/sphinxcontrib-cldomain',
        'tracker': 'https://github.com/russell/sphinxcontrib-cldomain/issues',
    },
    'version': '0.15',
})
